body {
  background-color: lightgrey;
}

.navbar {
  background-color: black !important;
}

.navbar-nav {
  float: right;
}

.navbar-brand {
  color: black !important;
  font-size: xx-large;
  font-style: italic;
  font-weight: bold;
  letter-spacing: .5px;
  text-shadow: 0px 0px 2px white;
}

.nav-item{
   text-align: right;
}

.nav-link {
  color: white !important;
}

.action-container {
  margin-top: 24px !important;
  padding-bottom: 0px !important;
  margin-bottom: 24px !important;
}

.content-container {
  background-color: white;
  margin-bottom: 5rem !important;
  margin-top: 20px !important;
}

.features {
  margin-bottom: 3rem;
}

.btn-google {
  color: #fff;
  background-color: #dd4b39 !important;
  padding: .84rem 2.14rem;
}

.fa-google {
  padding-right: .25rem !important;
}

.md-form label.active {
  -webkit-transform: translateY(-14px) scale(0.8);
  transform: translateY(-14px) scale(0.8);
}

.md-form label.active {
  font-size: 1rem;
}

.invite-table {
  margin-top: -19px;
}

.material-switch.pull-right {
  float: left;
  margin-top: 2px;
}

.material-switch>input[type="checkbox"] {
  display: none;
}

.material-switch>label {
  cursor: pointer;
  height: 0px;
  position: relative;
  width: 40px;
}

.material-switch>label::before {
  background: rgb(0, 0, 0) !important;
  box-shadow: inset 0px 0px 10px rgba(0, 0, 0, 0.5);
  border-radius: 8px;
  content: '';
  height: 16px;
  margin-top: -8px;
  position: absolute;
  opacity: 0.3;
  transition: all 0.4s ease-in-out;
  width: 40px;
}

.material-switch>label::after {
  background: rgb(255, 255, 255) !important;
  border-radius: 16px;
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
  content: '';
  height: 24px;
  left: -4px;
  margin-top: -8px;
  position: absolute;
  top: -4px;
  transition: all 0.3s ease-in-out;
  width: 24px;
}

.material-switch>input[type="checkbox"]:checked+label::before {
  background: #9CBBD6 !important;
  opacity: 0.5;
}

.material-switch>input[type="checkbox"]:checked+label::after {
  background: #428BCA !important;
  left: 20px;
}

.family-name {
  text-align: center;
}

.card, .card-header {}

.toggle-indent {
  margin-left: 70px;
}

.buy-link, .ingredient-recipes {
  margin-left: 10px;
  font-size: small;
  float: right;
}

.buy-link {
  margin-right: -40px;
}

.ingredient-container {
  justify-content: space-between;
  margin-top: 15px;
}

.ingredient-switch {
  margin-left: -10px;
}

.ingredient-name {
  float: left;
  margin-left: -20px;
}

.ingredient-details {
  float: right;
}

.ingredient-recipes {
  float: left;
}

.ingredient-buy-icon {
  font-size: 1.5em;
}




/***
  select2
***/
.select2-container--material {
  width: 100% !important; }
  .select2-container--material .select2-selection--single {
    background-color: transparent;
    border: none;
    border-bottom: 1px solid #ced4da;
    border-radius: 0;
    box-shadow: none;
    box-sizing: content-box;
    height: auto;
    margin: 0;
    outline: none;
    padding: 8px 0 5px 0;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out; }
    .select2-container--material .select2-selection--single .select2-selection__rendered {
      color: #444;
      line-height: 28px;
      padding-left: 0; }
    .select2-container--material .select2-selection--single .select2-selection__clear {
      cursor: pointer;
      float: right;
      font-weight: bold; }
    .select2-container--material .select2-selection--single .select2-selection__placeholder {
      color: #999; }
    .select2-container--material .select2-selection--single .select2-selection__arrow {
      height: 26px;
      margin: 0.6rem 0 0.4rem 0;
      position: absolute;
      top: 1px;
      right: 1px;
      width: 20px; }
      .select2-container--material .select2-selection--single .select2-selection__arrow b {
        border-color: #888 transparent transparent transparent;
        border-style: solid;
        border-width: 5px 4px 0 4px;
        height: 0;
        left: 50%;
        margin-left: -4px;
        margin-top: -2px;
        position: absolute;
        top: 50%;
        width: 0; }
  .select2-container--material[dir="rtl"] .select2-selection--single .select2-selection__clear {
    float: left; }
  .select2-container--material[dir="rtl"] .select2-selection--single .select2-selection__arrow {
    left: 1px;
    right: auto; }
  .select2-container--material.select2-container--disabled .select2-selection--single {
    background-color: #eee;
    cursor: default; }
    .select2-container--material.select2-container--disabled .select2-selection--single .select2-selection__clear {
      display: none; }
  .select2-container--material.select2-container--open .select2-selection--single .select2-selection__arrow b {
    border-color: transparent transparent #888 transparent;
    border-width: 0 4px 5px 4px; }
  .select2-container--material .select2-selection--multiple {
    background-color: transparent;
    border: none;
    border-bottom: 1px solid #ced4da;
    border-radius: 0;
    box-shadow: none;
    box-sizing: content-box;
    cursor: text;
    height: auto;
    margin: 0;
    outline: none;
    padding: 5px 0 0 0;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out; }
    .select2-container--material .select2-selection--multiple .select2-selection__rendered {
      box-sizing: border-box;
      list-style: none;
      margin: 0;
      padding: 0 5px;
      width: 100%; }
      .select2-container--material .select2-selection--multiple .select2-selection__rendered li {
        list-style: none; }
    .select2-container--material .select2-selection--multiple .select2-selection__placeholder {
      color: #999;
      margin-top: 5px;
      float: left; }
    .select2-container--material .select2-selection--multiple .select2-selection__clear {
      cursor: pointer;
      float: right;
      font-weight: bold;
      margin-top: 5px;
      margin-right: 10px; }
    .select2-container--material .select2-selection--multiple .select2-selection__choice {
      background-color: #ffca28;
      border-radius: 16px;
      color: rgba(0, 0, 0, 0.6);
      cursor: default;
      float: left;
      margin-right: 5px;
      margin-top: 6px;
      padding: 0 12px; }
    .select2-container--material .select2-selection--multiple .select2-selection__choice__remove {
      cursor: pointer;
      display: inline-block;
      font-weight: bold;
      float: right;
      margin-left: 5px; }
      .select2-container--material .select2-selection--multiple .select2-selection__choice__remove:hover {
        color: #333; }
  .select2-container--material[dir="rtl"] .select2-selection--multiple .select2-selection__choice, .select2-container--material[dir="rtl"] .select2-selection--multiple .select2-selection__placeholder, .select2-container--material[dir="rtl"] .select2-selection--multiple .select2-search--inline {
    float: right; }
  .select2-container--material[dir="rtl"] .select2-selection--multiple .select2-selection__choice {
    margin-left: 5px;
    margin-right: auto; }
  .select2-container--material[dir="rtl"] .select2-selection--multiple .select2-selection__choice__remove {
    margin-left: 2px;
    margin-right: auto; }
  .select2-container--material.select2-container--disabled .select2-selection--multiple {
    background-color: #eee;
    cursor: default; }
  .select2-container--material.select2-container--disabled .select2-selection__choice__remove {
    display: none; }
  .select2-container--material.select2-container--open.select2-container--above .select2-selection--single, .select2-container--material.select2-container--open.select2-container--above .select2-selection--multiple {
    border-top-left-radius: 0;
    border-top-right-radius: 0; }
  .select2-container--material.select2-container--open.select2-container--below .select2-selection--single, .select2-container--material.select2-container--open.select2-container--below .select2-selection--multiple {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0; }
  .select2-container--material.select2-container--focus .select2-selection--single {
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    outline: 0; }
  .select2-container--material.select2-container--focus .select2-selection--multiple {
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    outline: 0; }
  .select2-container--material .select2-search--dropdown .select2-search__field {
    border: none;
    border-bottom: 1px solid #ced4da;
    border-radius: 0;
    outline: none; }
    .select2-container--material .select2-search--dropdown .select2-search__field:focus:not([readonly]) {
      box-shadow: 0 1px 0 0 #ced4da;
      border-bottom: 1px solid #ced4da; }
  .select2-container--material .select2-search--inline .select2-search__field {
    background: transparent;
    border: none !important;
    outline: 0;
    box-shadow: none !important;
    -webkit-appearance: textfield; }
  .select2-container--material .select2-results > .select2-results__options {
    max-height: 200px;
    overflow-y: auto; }
  .select2-container--material .select2-results__option[role=group] {
    padding: 0; }
  .select2-container--material .select2-results__option[aria-disabled=true] {
    color: #999; }
  .select2-container--material .select2-results__option[aria-selected=true] {
    background-color: #ddd; }
  .select2-container--material .select2-results__option .select2-results__option {
    padding-left: 1em; }
    .select2-container--material .select2-results__option .select2-results__option .select2-results__group {
      padding-left: 0; }
    .select2-container--material .select2-results__option .select2-results__option .select2-results__option {
      margin-left: -1em;
      padding-left: 2em; }
      .select2-container--material .select2-results__option .select2-results__option .select2-results__option .select2-results__option {
        margin-left: -2em;
        padding-left: 3em; }
        .select2-container--material .select2-results__option .select2-results__option .select2-results__option .select2-results__option .select2-results__option {
          margin-left: -3em;
          padding-left: 4em; }
          .select2-container--material .select2-results__option .select2-results__option .select2-results__option .select2-results__option .select2-results__option .select2-results__option {
            margin-left: -4em;
            padding-left: 5em; }
            .select2-container--material .select2-results__option .select2-results__option .select2-results__option .select2-results__option .select2-results__option .select2-results__option .select2-results__option {
              margin-left: -5em;
              padding-left: 6em; }
  .select2-container--material .select2-results__option--highlighted[aria-selected] {
    background-color: #3f729b;
    color: white; }
  .select2-container--material .select2-results__group {
    cursor: default;
    display: block;
    padding: 6px; }

.select2-dropdown {
  background-color: white;
  border: 1px solid #ced4da;
  border-radius: 4px;
  box-sizing: border-box;
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
  display: block;
  position: absolute;
  left: -100000px;
  width: 100%;
  z-index: 1051;
  -webkit-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12); }

.select2-results {
  display: block; }

.select2-results__options {
  list-style: none;
  margin: 0;
  padding: 0; }

.select2-results__option {
  padding: 6px;
  user-select: none;
  -webkit-user-select: none; }
  .select2-results__option[aria-selected] {
    cursor: pointer; }

.select2-container--open .select2-dropdown {
  left: 0; }

.select2-container--open .select2-dropdown--above {
  border-bottom: none;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0; }

.select2-container--open .select2-dropdown--below {
  border-top: none;
  border-top-left-radius: 0;
  border-top-right-radius: 0; }

.select2-search--dropdown {
  display: block;
  padding: 4px; }
  .select2-search--dropdown .select2-search__field {
    padding: 4px;
    width: 100%;
    box-sizing: border-box; }
    .select2-search--dropdown .select2-search__field::-webkit-search-cancel-button {
      -webkit-appearance: none; }
  .select2-search--dropdown.select2-search--hide {
    display: none; }






.twitter-typeahead {
  width: 100%;
}

/***
	TYPEAHEAD for MDB
	by djibe
***/
.typeahead {
  z-index: 1051;
}

/*If using icon span before input, like <i class="fa fa-asterisk prefix"></i>*/
span.twitter-typeahead {
  width: 100%;
  margin-left: 0.25rem;
  margin-right: 0.25rem;
}

/* Aspect of the dropdown of results*/
.typeahead.dropdown-menu,
span.twitter-typeahead .tt-menu {
  min-width: 100%;
  background: white;
  /*as large as input*/
  border: none;
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .16), 0 2px 10px 0 rgba(0, 0, 0, .12);
  border-radius: 0;
  font-size: 1.2rem;
}

.tt-menu {
  max-height: 250px;
  overflow-y: auto;
}

/*Aspect of results, done*/
span.twitter-typeahead .tt-suggestion {
  color: #4285F4;
  cursor: pointer;
  padding: 1rem;
  text-transform: capitalize;
  font-weight: 400;
}

/*Hover a result, done*/
span.twitter-typeahead .active.tt-suggestion,
span.twitter-typeahead .tt-suggestion.tt-cursor,
span.twitter-typeahead .active.tt-suggestion:focus,
span.twitter-typeahead .tt-suggestion.tt-cursor:focus,
span.twitter-typeahead .active.tt-suggestion:hover,
span.twitter-typeahead .tt-suggestion.tt-cursor:hover {
  background-color: #EEEEEE;
  color: #4285F4;
}

#include-typeahead>span>div.tt-menu.tt-open {
  z-index: 1100 !important;
}

.resetButton {
  background: none;
  color: rgba(0, 0, 0, 0.3);
  border: none;
  cursor: pointer;
  font-size: smaller;
  margin-top: 2px;
}

.rating {
  top: 8px;
  /*padding-top: 12px;*/
  display: flex;
  /*width: 40%;*/
  /*justify-content: center;*/
  overflow: hidden;
  flex-direction: row-reverse;
  position: relative;
  padding-left: 8px;
  float: right;
  flex-wrap: wrap;
  align-items: center;
}

.rating>input {
  display: none;
  margin-left: -2px;
  margin-right: -2px;
}

.rating>label {
  margin-bottom: 0px !important;
  margin-top: 0px !important;
  cursor: pointer;
  width: 18px;
  height: 18px;
  margin-top: auto;
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='126.729' height='126.73'%3e%3cpath fill='%23e3e3e3' d='M121.215 44.212l-34.899-3.3c-2.2-.2-4.101-1.6-5-3.7l-12.5-30.3c-2-5-9.101-5-11.101 0l-12.4 30.3c-.8 2.1-2.8 3.5-5 3.7l-34.9 3.3c-5.2.5-7.3 7-3.4 10.5l26.3 23.1c1.7 1.5 2.4 3.7 1.9 5.9l-7.9 32.399c-1.2 5.101 4.3 9.3 8.9 6.601l29.1-17.101c1.9-1.1 4.2-1.1 6.1 0l29.101 17.101c4.6 2.699 10.1-1.4 8.899-6.601l-7.8-32.399c-.5-2.2.2-4.4 1.9-5.9l26.3-23.1c3.8-3.5 1.6-10-3.6-10.5z'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: center;
  background-size: 76%;
  transition: .3s;
  margin-left: -2px;
  margin-right: -2px;
}

.selected-rating {
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='126.729' height='126.73'%3e%3cpath fill='%23fcd93a' d='M121.215 44.212l-34.899-3.3c-2.2-.2-4.101-1.6-5-3.7l-12.5-30.3c-2-5-9.101-5-11.101 0l-12.4 30.3c-.8 2.1-2.8 3.5-5 3.7l-34.9 3.3c-5.2.5-7.3 7-3.4 10.5l26.3 23.1c1.7 1.5 2.4 3.7 1.9 5.9l-7.9 32.399c-1.2 5.101 4.3 9.3 8.9 6.601l29.1-17.101c1.9-1.1 4.2-1.1 6.1 0l29.101 17.101c4.6 2.699 10.1-1.4 8.899-6.601l-7.8-32.399c-.5-2.2.2-4.4 1.9-5.9l26.3-23.1c3.8-3.5 1.6-10-3.6-10.5z'/%3e%3c/svg%3e") !important;
}

.rating>input:checked~label,
.rating>input:checked~label~label {
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='126.729' height='126.73'%3e%3cpath fill='%23fcd93a' d='M121.215 44.212l-34.899-3.3c-2.2-.2-4.101-1.6-5-3.7l-12.5-30.3c-2-5-9.101-5-11.101 0l-12.4 30.3c-.8 2.1-2.8 3.5-5 3.7l-34.9 3.3c-5.2.5-7.3 7-3.4 10.5l26.3 23.1c1.7 1.5 2.4 3.7 1.9 5.9l-7.9 32.399c-1.2 5.101 4.3 9.3 8.9 6.601l29.1-17.101c1.9-1.1 4.2-1.1 6.1 0l29.101 17.101c4.6 2.699 10.1-1.4 8.899-6.601l-7.8-32.399c-.5-2.2.2-4.4 1.9-5.9l26.3-23.1c3.8-3.5 1.6-10-3.6-10.5z'/%3e%3c/svg%3e");
}

.rating>input:not(:checked)~label:hover,
.rating>input:not(:checked)~label:hover~label {
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='126.729' height='126.73'%3e%3cpath fill='%23d8b11e' d='M121.215 44.212l-34.899-3.3c-2.2-.2-4.101-1.6-5-3.7l-12.5-30.3c-2-5-9.101-5-11.101 0l-12.4 30.3c-.8 2.1-2.8 3.5-5 3.7l-34.9 3.3c-5.2.5-7.3 7-3.4 10.5l26.3 23.1c1.7 1.5 2.4 3.7 1.9 5.9l-7.9 32.399c-1.2 5.101 4.3 9.3 8.9 6.601l29.1-17.101c1.9-1.1 4.2-1.1 6.1 0l29.101 17.101c4.6 2.699 10.1-1.4 8.899-6.601l-7.8-32.399c-.5-2.2.2-4.4 1.9-5.9l26.3-23.1c3.8-3.5 1.6-10-3.6-10.5z'/%3e%3c/svg%3e");
}

.recipe-name {
  display: block;
  padding-left: 1.5em;
  text-indent: -.58em;
  margin-bottom: 10px !important;
}

.recipeOptions {
  padding: 12px 12px;
}

.filters {
  margin-bottom: 20px
}

.badge {
  padding: 3px 6px 4px 10px;
  text-transform: uppercase;
  font-size: 10px;
  color: #fff;
  margin-left: 3px;
  margin-right: 3px;
}

.removeIcon {
  position: relative;
  font-size: inherit;
  top: .1rem;
  padding-left: 6px;
}

.recipe-book {
  margin-right: 10px;
}

.average-rating {
  float: right;
  margin-right: 45px;
  font-size: small;
  margin-top: 4px;
}

.discussion-card {
  margin-bottom: 80px;
}

.menu-cog {
  color: #4f4f4f !important;
  font-size: 0.75em;
}

.number-input input[type="number"] {
  -webkit-appearance: textfield;
  -moz-appearance: textfield;
  appearance: textfield;
}

.number-input input[type=number]::-webkit-inner-spin-button,
.number-input input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
}

.number-input {
  margin-bottom: 0.5rem;
}

.number-input button {
  -webkit-appearance: none;
  background-color: transparent;
  border: none;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  margin: 0;
  position: relative;
}

.number-input button:before,
.number-input button:after {
  display: inline-block;
  position: absolute;
  content: '';
  height: 2px;
  transform: translate(-50%, -50%);
}

.number-input button.plus:after {
  transform: translate(-50%, -50%) rotate(90deg);
}

.number-input input[type=number] {
  text-align: center;
}

.number-input.number-input {
  border: 1px solid #ced4da;
  width: 8rem;
  border-radius: .25rem;
}

.number-input.number-input button {
  width: 1.6rem;
  height: .7rem;
}

.number-input.number-input button.minus {
  padding-left: 10px;
}

.number-input.number-input button.plus {
  padding-left: 10px;
}

.number-input.number-input button:before,
.number-input.number-input button:after {
  width: .7rem;
  background-color: #495057;
}

.number-input.number-input input[type=number] {
  max-width: 3rem;
  /*padding: .5rem;*/
  border: 1px solid #ced4da;
  border-width: 0 1px;
  font-size: 1rem;
  height: 2rem;
  color: #495057;
}

@media not all and (min-resolution:.001dpcm) {
  @supports (-webkit-appearance: none) and (stroke-color:transparent) {

    .number-input.def-number-input.safari_only button:before,
    .number-input.def-number-input.safari_only button:after {
      margin-top: -.3rem;
    }
  }
}

.number-input {
  width: 120px !important;
}
.recipe-panel {
  margin-top: 20px;
  margin-bottom: 3rem;
}

.recipe-ingredients {
  list-style-type: none;
}

.recipe-content-div {
  margin-bottom: 20px;
}

.recipe-content-header {
  font-size: 16px;
  font-weight: bold;
  letter-spacing: .4px;
}

.recipe-content-process {
  margin-left: 20px;
  font-style: italic;
}

.recipe-content {
  margin-left: 20px;
  margin-right: 20px;
  font-style: normal;
}

.recipe-header {
  display: block;
  /*
  padding-left: 1.5em;
  text-indent: -.58em;
  */
  margin-bottom: 00px !important;
}

.recipe-process {
  margin-bottom: 10px;
}
.rating-header {
  top: inherit !important;
}

.form-control.abv {
  border: 0px;
  margin-bottom: 0px;
}
#abv-radio-group {
  margin-left: 25px
}
